Bug 2019845 - Add more warning messages about drivers going deprecated
Summary: Add more warning messages about drivers going deprecated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-03 12:59 UTC by Zdenek Dohnal
Modified: 2021-11-29 01:10 UTC (History)
2 users (show)

Fixed In Version: cups-2.3.3op2-10.fc35 cups-2.3.3op2-10.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-15 05:47:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Zdenek Dohnal 2021-11-03 12:59:01 UTC
This bug was initially created as a copy of Bug #2019842

I am copying this bug because: 



Since CUPS 3.0 - the first version without classic driver support - is planned for the autumn/winter in 2022, we need to notify users as many ways as possible.

lpadmin command already spawns a warning when an user creates non-ipp-everywhere queue, but we need to cover the following:

1) creating queues via web ui - relevant upstream commits:
https://github.com/OpenPrinting/cups/pull/244
https://github.com/OpenPrinting/cups/pull/242
https://github.com/OpenPrinting/cups/pull/218

2) copying old printers.conf as 'installation' of queues or migration from older RHELs, so no new queues are created, so no warning is spawn - needs to be implemented upstream

Comment 2 Fedora Update System 2021-11-12 08:01:21 UTC
FEDORA-2021-b878f6c79d has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b878f6c79d

Comment 3 Fedora Update System 2021-11-12 08:14:06 UTC
FEDORA-2021-d114176c57 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d114176c57

Comment 4 Fedora Update System 2021-11-14 02:26:45 UTC
FEDORA-2021-d114176c57 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d114176c57`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d114176c57

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-11-14 02:39:44 UTC
FEDORA-2021-b878f6c79d has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b878f6c79d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b878f6c79d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-11-15 05:47:21 UTC
FEDORA-2021-b878f6c79d has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2021-11-29 01:10:16 UTC
FEDORA-2021-d114176c57 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.